package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.OpmreportErrorBean;
import com.wd.workoffice.bean.mesBean.WorkOrderSon;
import com.wd.workoffice.bean.workEnum.WorkOrder;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkOrderSonAdapter extends BaseQuickAdapter<WorkOrderSon.ListBean, BaseViewHolder> {

    public WorkOrderSonAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, WorkOrderSon.ListBean item) {
        helper.setText(R.id.tv_no, String.format("工单编号:%s", item.getWoCode()));
        helper.setText(R.id.tv_status, WorkOrder.getNameByCode(item.getStatus()));
        helper.setText(R.id.tv_location_code, item.getLocationCode());
        helper.setText(R.id.tv_machine_code, item.getAssetCode());
        helper.setText(R.id.tv_desc, item.getDescription());
    }
}

